Subject: Population Control

From: William Orr <[email-masked]>
Date: Mon, 6 Nov 1995 11:43:07 -0600

I've reading all the comments about Butterfly collecting and the U.S. civil servants burning people at the stake. I can't stand it, I've got to put in my 2 cents.

This planet will only support so much so much biomass. Human population is nearing that amount if it hasn't already past it. (How many hectares of land surface does it take to support a human?)
The only living things that (are) soon will be left are those which humans (allow) cultivate. We will soon need permits (purchase receipts) to collect any living thing. It is foolish to protect species without protecting habitat and promoting HUMAN POPULATION CONTROL. The more humans there are the less animals there will be. There are NO WILD ANIMALS AND PLANTS LEFT on this planet. They are are under human control. They are there because we allow them to be.

"Sigh" So we might as well resign ourselves to needing permits to collect. (But do the U.S. civil servants have to be so bloodthirsty enforcing them?)

William C. Orr, Jr.
Axolotle Enterprises Inc.
10177-143"A" Street
Surrey, British Columbia
Canada           V3T 5A7
Phone/fax (604)930-0847
[email-masked]